--- cervisia/commitdlg.h.orig	Tue Apr  2 16:25:47 2002
+++ cervisia/commitdlg.h	Tue Apr  2 16:26:03 2002
@@ -19,6 +19,7 @@
 #include <qlistbox.h>
 #include <qmultilinedit.h>
 
+class QComboBox;
 
 class CommitDialog : public QDialog
 {
--- kbabel/catalogmanager/settings.h.orig	Wed Apr  3 09:41:12 2002
+++ kbabel/catalogmanager/settings.h	Wed Apr  3 09:46:03 2002
@@ -62,15 +62,15 @@
     public:
        static QString poBaseDir();
        static QString potBaseDir();
-       static const bool openWindow=false;
+       static const bool openWindow;
 
        static QStringList dirCommands();
        static QStringList dirCommandNames();
        static QStringList fileCommands();
        static QStringList fileCommandNames();
 
-       static const bool killCmdOnExit=true;
-       static const bool indexWords=false;
+       static const bool killCmdOnExit;
+       static const bool indexWords;
 
     private:
        static QString _poBaseDir;
--- kbabel/catalogmanager/settings.cpp.orig	Wed Apr  3 09:41:22 2002
+++ kbabel/catalogmanager/settings.cpp	Wed Apr  3 09:46:19 2002
@@ -30,6 +30,10 @@
 #include <kconfig.h>
 #include <kstandarddirs.h>
 
+const bool Defaults::CatalogManager::openWindow=false;
+const bool Defaults::CatalogManager::killCmdOnExit=true;
+const bool Defaults::CatalogManager::indexWords=false;
+
 QString Defaults::CatalogManager::poBaseDir()
 {
    if(_poBaseDir.isNull())
--- kbabel/common/catalogsettings.h.orig	Tue Apr  2 17:10:33 2002
+++ kbabel/common/catalogsettings.h	Tue Apr  2 17:14:32 2002
@@ -109,19 +109,19 @@
    class Save
    {
     public:
-       static const bool autoUpdate=true;
-       static const bool updateLastTranslator=true;
-       static const bool updateRevisionDate=true;
-       static const bool updateLanguageTeam=true;
-       static const bool updateCharset=true;
-       static const bool updateEncoding=true;
+       static const bool autoUpdate;
+       static const bool updateLastTranslator;
+       static const bool updateRevisionDate;
+       static const bool updateLanguageTeam;
+       static const bool updateCharset;
+       static const bool updateEncoding;
 
-       static const FileEncoding encoding=UTF8;
-       static const bool useOldEncoding=true;
+       static const FileEncoding encoding;
+       static const bool useOldEncoding;
 
-       static const Qt::DateFormat dateFormat=Qt::ISODate;
+       static const Qt::DateFormat dateFormat;
 
-       static const bool autoSyntaxCheck=true;
+       static const bool autoSyntaxCheck;
 
        static const QString customDateFormat();
    };
--- kbabel/common/catalogsettings.cpp.orig	Tue Apr  2 17:10:38 2002
+++ kbabel/common/catalogsettings.cpp	Tue Apr  2 17:14:14 2002
@@ -30,6 +30,17 @@
 
 #include <stdlib.h>
 
+const bool           Defaults::Save::autoUpdate=true;
+const bool           Defaults::Save::updateLastTranslator=true;
+const bool           Defaults::Save::updateRevisionDate=true;
+const bool           Defaults::Save::updateLanguageTeam=true;
+const bool           Defaults::Save::updateCharset=true;
+const bool           Defaults::Save::updateEncoding=true;
+const FileEncoding   Defaults::Save::encoding=UTF8;
+const bool           Defaults::Save::useOldEncoding=true;
+const Qt::DateFormat Defaults::Save::dateFormat=Qt::ISODate;
+const bool           Defaults::Save::autoSyntaxCheck=true;
+
 const QString Defaults::Save::customDateFormat()
 {
     return QString("%Y-%m-%d %H:%M%z");
--- kbabel/kbabel/settings.h.orig	Wed Apr  3 09:54:10 2002
+++ kbabel/kbabel/settings.h	Wed Apr  3 10:02:34 2002
@@ -114,22 +114,22 @@
    class  Editor
    {
     public:
-       static const bool autoUnsetFuzzy=true;
-	   static const bool autoCheckArgs=true;
-	   static const bool autoCheckAccel=true;
-	   static const bool autoCheckEquation=true;
-	   static const bool autoCheckContext=true;
-       static const bool autoCheckSingularPlural=true;
-       static const bool beepOnError=false;
-       static const bool autoCheckColorError=true;
-
-       static const bool cleverEditing=true;
-       static const bool highlightBg=false;
-       static const bool whitespacePoints=true;
-       static const bool quotes=false;
-       static const bool highlightSyntax=true;
+       static const bool autoUnsetFuzzy;
+       static const bool autoCheckArgs;
+       static const bool autoCheckAccel;
+       static const bool autoCheckEquation;
+       static const bool autoCheckContext;
+       static const bool autoCheckSingularPlural;
+       static const bool beepOnError;
+       static const bool autoCheckColorError;
+
+       static const bool cleverEditing;
+       static const bool highlightBg;
+       static const bool whitespacePoints;
+       static const bool quotes;
+       static const bool highlightSyntax;
 
-       static const bool ledInStatusbar=false;
+       static const bool ledInStatusbar;
 
        static const QColor bgColor;
        static const QColor quotedColor;
@@ -140,14 +140,14 @@
 
        static QFont msgFont();
 
-	   static const bool rememberIgnored=true;
+       static const bool rememberIgnored;
        static QString ignoreURL();
 
        static const QColor diffAddColor;
        static const QColor diffDelColor;
-       static const bool diffAddUnderline=false;
-       static const bool diffDelStrikeOut=false;
-       static const bool useDBForDiff=false;
+       static const bool diffAddUnderline;
+       static const bool diffDelStrikeOut;
+       static const bool useDBForDiff;
        static const QString diffBaseDir;
 
     private:
@@ -158,7 +158,7 @@
    class Search
    {
     public:
-       static const bool autoSearch=false;
+       static const bool autoSearch;
        static const QString defaultModule;
    };
 
@@ -167,14 +167,14 @@
     public:
        static QString poBaseDir();
        static QString potBaseDir();
-       static const bool openWindow=false;
+       static const bool openWindow;
 
        static QStringList dirCommands();
        static QStringList dirCommandNames();
        static QStringList fileCommands();
        static QStringList fileCommandNames();
 
-       static const bool killCmdOnExit=true;
+       static const bool killCmdOnExit;
 
     private:
        static QString _poBaseDir;
--- kbabel/kbabel/settings.cpp.orig	Wed Apr  3 09:54:14 2002
+++ kbabel/kbabel/settings.cpp	Wed Apr  3 10:02:33 2002
@@ -29,6 +29,22 @@
 #include <kconfig.h>
 #include <kstandarddirs.h>
 
+const bool Defaults::Editor::autoUnsetFuzzy=true;
+const bool Defaults::Editor::autoCheckArgs=true;
+const bool Defaults::Editor::autoCheckAccel=true;
+const bool Defaults::Editor::autoCheckEquation=true;
+const bool Defaults::Editor::autoCheckContext=true;
+const bool Defaults::Editor::autoCheckSingularPlural=true;
+const bool Defaults::Editor::beepOnError=false;
+const bool Defaults::Editor::autoCheckColorError=true;
+
+const bool Defaults::Editor::cleverEditing=true;
+const bool Defaults::Editor::highlightBg=false;
+const bool Defaults::Editor::whitespacePoints=true;
+const bool Defaults::Editor::quotes=false;
+const bool Defaults::Editor::highlightSyntax=true;
+
+const bool Defaults::Editor::ledInStatusbar=false;
 
 const QColor Defaults::Editor::bgColor=QColor(255,255,192);
 const QColor Defaults::Editor::quotedColor=QColor(Qt::darkGreen);
@@ -41,6 +57,11 @@
 QString Defaults::Editor::_ignoreURL=QString::null;
 const QString Defaults::Editor::diffBaseDir=QString::null;
 
+const bool Defaults::Editor::rememberIgnored=true;
+const bool Defaults::Editor::diffAddUnderline=false;
+const bool Defaults::Editor::diffDelStrikeOut=false;
+const bool Defaults::Editor::useDBForDiff=false;
+
 QFont Defaults::Editor::msgFont()
 {
    return KGlobalSettings::generalFont();
@@ -64,6 +85,7 @@
 }
 
 const QString Defaults::Search::defaultModule="pocompendium";
+const bool Defaults::Search::autoSearch=false;
 
 QString Defaults::CatalogManager::poBaseDir()
 {
@@ -128,4 +150,7 @@
 
 QString Defaults::CatalogManager::_poBaseDir=QString::null;
 QString Defaults::CatalogManager::_potBaseDir=QString::null;
+
+const bool Defaults::CatalogManager::openWindow=false;
+const bool Defaults::CatalogManager::killCmdOnExit=true;
 
--- kbabel/common/catalog.cpp.orig	Fri Mar  8 01:19:02 2002
+++ kbabel/common/catalog.cpp	Wed Apr  3 13:03:59 2002
@@ -21,6 +21,7 @@
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 
 **************************************************************************** */
+#include <fstream.h>
 #include <qtextstream.h>
 #include <qfile.h>
 #include <qdir.h>
@@ -1978,7 +1979,7 @@
 	   
 	   if( !codec ) return PARSE_ERROR;
 	   
-	   std::ifstream* stream = new std::ifstream( file.name().local8Bit());
+	   ::ifstream* stream = new ::ifstream( file.name().local8Bit());
 	   FlexLexer* lexer = new yyFlexLexer( stream  );
 
 	   lexer->yylex();
@@ -2099,7 +2100,7 @@
 	   
 	   if( !codec ) return false;
 	   
-	   std::ifstream* stream = new std::ifstream( file.name().local8Bit()); 
+	   ::ifstream* stream = new ::ifstream( file.name().local8Bit()); 
 	   FlexLexer* lexer = new yyFlexLexer( stream );
 
 	   lexer->yylex();
--- kbugbuster/backend/mailsender.cpp.orig	Wed Apr  3 13:36:43 2002
+++ kbugbuster/backend/mailsender.cpp	Wed Apr  3 13:37:15 2002
@@ -104,7 +104,7 @@
     }
 
     emit status( i18n( "Passing mail to KDE email program..." ) );
-    if (!kMailOpenComposer(to,"",bcc?from:"",subject,body,0,KURL())) {
+    if (!kMailOpenComposer(to,"", (bcc ? from : ""), subject,body,0,KURL())) {
       QTimer::singleShot( 0, this, SLOT( deleteLater() ) );
       return false;
     }
--- kbugbuster/backend/mailsender.cpp.orig	Wed Apr  3 15:37:22 2002
+++ kbugbuster/backend/mailsender.cpp	Wed Apr  3 15:37:17 2002
@@ -1,3 +1,5 @@
+#define QT_NO_ASCII_CAST
+
 #include <unistd.h>
 #include <stdio.h>
 
